Class | Aspect
In: | lib/facets/more/aspects.rb
Parent: | Object

# Aspect

An Aspect is a class that defines advices.

## Usage

George, please do!

### Methods

observe wrap wrap

### External Aliases

wrap | -> | observe

### Public Class methods

wrap(target, methods = target.instance_methods, pre = :pre, post = :post)

### Public Instance methods

observe(target, methods = target.instance_methods, pre = :pre, post = :post)

Alias for wrap

wrap(target, methods = target.instance_methods, pre = :pre, post = :post)

[Validate]